Bug 1907671 - Ingress VIP assigned to two infra nodes simultaneously - keepalived process running in pods seems to fail
Summary: Ingress VIP assigned to two infra nodes simultaneously - keepalived process r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.6
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.7.0
Assignee: Ben Nemec
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks: 1913099
TreeView+ depends on / blocked
 
Reported: 2020-12-15 01:10 UTC by John Coleman
Modified: 2021-02-24 15:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification flow (10.50 KB, text/plain)
2020-12-20 10:53 UTC, Victor Voronkov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1972 0 None closed Bug 1907671: Handle keepalived hangs in liveness probe 2021-02-18 21:06:33 UTC
Red Hat Knowledge Base (Solution) 5647861 0 None None None 2021-01-29 12:04:44 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:37 UTC

Comment 5 Victor Voronkov 2020-12-20 10:53:00 UTC
Created attachment 1740638 [details]
verification flow

Verified on 4.7.0-fc.0

Comment 12 errata-xmlrpc 2021-02-24 15:43:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.